javax.persistence.criteria

## Interface Predicate

- All Superinterfaces:
    Expression<Boolean>, Selection<Boolean>, TupleElement<Boolean>
  All Known Subinterfaces:
    CriteriaBuilder.In<T>

      public interface Predicate
      extends Expression<Boolean>

  The type of a simple or compound predicate: a conjunction or disjunction of restrictions. A simple predicate is considered to be a conjunction with a single conjunct.
  Since:
    Java Persistence 2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Predicate.BooleanOperator`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Expression<Boolean>>` | `getExpressions()` Return the top-level conjuncts or disjuncts of the predicate.
    `Predicate.BooleanOperator` | `getOperator()` Return the boolean operator for the predicate.
    `boolean` | `isNegated()` Whether the predicate has been created from another predicate by applying the `Predicate.not()` method or the `CriteriaBuilder.not()` method.
    `Predicate` | `not()` Create a negation of the predicate.

    - ### Methods inherited from interface javax.persistence.criteria.Expression

      `as, in, in, in, in, isNotNull, isNull`

    - ### Methods inherited from interface javax.persistence.criteria.Selection

      `alias, getCompoundSelectionItems, isCompoundSelection`

    - ### Methods inherited from interface javax.persistence.TupleElement

      `getAlias, getJavaType`

- - ### Method Detail

    - #### getOperator

          Predicate.BooleanOperator getOperator()

      Return the boolean operator for the predicate. If the predicate is simple, this is `AND`.
      Returns:
        boolean operator for the predicate

    - #### isNegated

          boolean isNegated()

      Whether the predicate has been created from another predicate by applying the `Predicate.not()` method or the `CriteriaBuilder.not()` method.
      Returns:
        boolean indicating if the predicate is a negated predicate

    - #### getExpressions

          List<Expression<Boolean>> getExpressions()

      Return the top-level conjuncts or disjuncts of the predicate. Returns empty list if there are no top-level conjuncts or disjuncts of the predicate. Modifications to the list do not affect the query.
      Returns:
        list of boolean expressions forming the predicate

    - #### not

          Predicate not()

      Create a negation of the predicate.
      Returns:
        negated predicate

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.